commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Strikethrough

# Documentation

class HasStrikethrough a where #

Methods

strikethrough :: a -> a #

#### Instances

Instances details

HasStrikethrough (Html a) # |
Instance details Defined in Commonmark.Extensions.Strikethrough Methods strikethrough :: Html a -> Html a #
(HasStrikethrough i, Monoid i) => HasStrikethrough (WithSourceMap i) # |
Instance details Defined in Commonmark.Extensions.Strikethrough Methods strikethrough :: WithSourceMap i -> WithSourceMap i #

strikethroughSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasStrikethrough il) => SyntaxSpec m il bl #